package person;

import java.util.Comparator;

public class NameFirstYearLastPersonComparator implements Comparator<Person> {

    @Override
    public int compare(Person person1, Person person2) {
        // hasznalhato compareToIgnoreCase is, ha a kisbetu/nagybetu szerint nem szeretnenk kulonbseget tenni
        int cmp = person1.getFirstName().compareTo(person2.getFirstName());
        if (cmp == 0) {
            cmp = person1.getLastName().compareTo(person2.getLastName());
            if (cmp == 0) {
                cmp = person1.getYearOfBirth() - person2.getYearOfBirth();
            }
        }
        return cmp;
    }

}
